---
title: "Revoke vouch"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`POST /v2/entities/{entityId}/vouches/revoke`

## Path parameters

- `entityId` (`entity-reputation-revoke-vouch.path.entityId`; string, required)
  - format `uuid`

## Request body

_Required._

- `voucherEntityId` (`entity-reputation-revoke-vouch.voucherEntityId`; string, required)
  - format `uuid`
- `scope` (`entity-reputation-revoke-vouch.scope`; string, optional)
  - minLength 1; maxLength 64; default `"general"`
- `revokedReason` (`entity-reputation-revoke-vouch.revokedReason`; string, optional)
  - maxLength 500

## Example request

```json
{
  "voucherEntityId": "687a822d-209a-4607-9d86-54cce0292c95",
  "scope": "general",
  "revokedReason": "string"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/vouches/revoke' \
  --header 'Content-Type: application/json' \
  --data '
{
  "voucherEntityId": "687a822d-209a-4607-9d86-54cce0292c95",
  "scope": "general",
  "revokedReason": "string"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/vouches/revoke';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    voucherEntityId: '687a822d-209a-4607-9d86-54cce0292c95',
    scope: 'general',
    revokedReason: 'string'
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/vouches/revoke"

payload = {
    "voucherEntityId": "687a822d-209a-4607-9d86-54cce0292c95",
    "scope": "general",
    "revokedReason": "string"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "revoked": true,
    "recalculatedOverall": 0,
    "recalculatedGrade": "AAA"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`entity-reputation-revoke-vouch.response.200.data`; object, required)
  - `revoked` (`entity-reputation-revoke-vouch.response.200.data.revoked`; boolean, required)
  - `recalculatedOverall` (`entity-reputation-revoke-vouch.response.200.data.recalculatedOverall`; number, required, nullable)
  - `recalculatedGrade` (`entity-reputation-revoke-vouch.response.200.data.recalculatedGrade`; string, required, nullable)
    - one of `"AAA"`, `"AA"`, `"A"`, `"BBB"`, `"BB"`, `"B"`, `"CCC"`, `"CC"`, `"C"`, `"D"`
- `meta` (`entity-reputation-revoke-vouch.response.200.meta`; object, optional)
  - `timestamp` (`entity-reputation-revoke-vouch.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-revoke-vouch.response.400.error`; object, required)
  - `code` (`entity-reputation-revoke-vouch.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-revoke-vouch.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-revoke-vouch.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-revoke-vouch.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-revoke-vouch.response.401.error`; object, required)
  - `code` (`entity-reputation-revoke-vouch.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-revoke-vouch.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-revoke-vouch.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-revoke-vouch.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-revoke-vouch.response.403.error`; object, required)
  - `code` (`entity-reputation-revoke-vouch.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-revoke-vouch.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-revoke-vouch.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-revoke-vouch.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-revoke-vouch.response.404.error`; object, required)
  - `code` (`entity-reputation-revoke-vouch.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-revoke-vouch.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-revoke-vouch.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-revoke-vouch.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-revoke-vouch.response.409.error`; object, required)
  - `code` (`entity-reputation-revoke-vouch.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-revoke-vouch.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-revoke-vouch.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-revoke-vouch.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-revoke-vouch.response.500.error`; object, required)
  - `code` (`entity-reputation-revoke-vouch.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-revoke-vouch.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-revoke-vouch.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-revoke-vouch.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 501

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-revoke-vouch.response.501.error`; object, required)
  - `code` (`entity-reputation-revoke-vouch.response.501.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-revoke-vouch.response.501.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-revoke-vouch.response.501.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-revoke-vouch.response.501.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-revoke-vouch.response.503.error`; object, required)
  - `code` (`entity-reputation-revoke-vouch.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-revoke-vouch.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-revoke-vouch.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-revoke-vouch.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-reputation-revoke-vouch/index.md
